package org.cs.mgr.user.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.user.service.IMgmInviteRecordService;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmInviteRecord;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: MgmInviteRecord 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
@Controller
@RequestMapping("/mgmInviteRecordCtl")
public class MgmInviteRecordCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private IMgmInviteRecordService mgmInviteRecordService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/mgmInviteRecord/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.mgmInviteRecordService.getMgmInviteRecords(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		MgmInviteRecord mgmInviteRecord = null;
		if(id != null){
			mgmInviteRecord = this.mgmInviteRecordService.findById(id);
			mm.put("mgmInviteRecord", mgmInviteRecord);
		}
		return "bis/mgmInviteRecord/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(MgmInviteRecord mgmInviteRecord){
		if(mgmInviteRecord != null ){
			this.mgmInviteRecordService.addMgmInviteRecord(mgmInviteRecord);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(MgmInviteRecord mgmInviteRecord){
        if(mgmInviteRecord != null ){
            this.mgmInviteRecordService.updateMgmInviteRecord(mgmInviteRecord);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.mgmInviteRecordService.delMgmInviteRecord(id);
		}
		
		return AJAX_SUCCESS;
	}
	
	
	
		
}

